#include<iostream>
#include<cmath>
using namespace std;
int main(){
long a,b,c,max1,max2,max3,br3=0,br2=0,t3,t2,brp=0,brd=0,brg=0;
cin>>a>>b>>c;
float	p=a;
float	d=b;
float  g=c;
float m,m2,m3;
while (p>=1){p=p/10;brp++;}
while (d>=1){d=d/10;brd++;}
while (g>=1){g=g/10;brg++;}
m=p;
max1=a;
if(d>m){max2=max1;max1=b; m2=m;m=d;}
else{max2=b;m2=d;}
if(g>m){max3=max2;max2=max1;max1=c;m3=m2;m2=m;m=g;}
else if(g>m2){max3=max2;max2=c; m3=m2;m2=g;}
else {max3=c; m3=g;}
t2=max2;
t3=max3;
while(t2>0){
	br2++;
	t2=t2/10;

}
while(t3>0){
	br3++;
	t3=t3/10;
}
int q=max1*pow(10,br2);
int q2=max2*pow(10,br3);
int q3=max3;
int r=(max1*pow(10,br2)+max2)*pow(10,br3)+max3;
cout<<r;
}